AnsweredAssumed Answered

BWAgent use System java or agent have its own java

Question asked by Vaibhav.Jindal on May 20, 2016
Latest reply on May 24, 2016 by Vaibhav.Jindal

Hello Team,

 

BWAgent uses server java or agent have its own java inbuilt inside the agent?

 

If it use system java then where can we change the agent configuration to use different java version?

 

We are getting following error while running our agent:-

 

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable javax/xml/parsers/SAXParser: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable javax/net/ssl/SSLServerSocket: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/net/ServerSocket: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable javax/net/ssl/SSLSocket: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/net/Socket: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable javax/net/ssl/SSLServerSocket: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable javax/net/ssl/SSLSocket: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/net/SocketInputStream: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/net/SocketOutputStream: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/net/PlainSocketImpl: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable sun/nio/ch/SocketChannelImpl: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable sun/nio/ch/ServerSocketChannelImpl: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable sun/nio/ch/DatagramChannelImpl: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/nio/channels/spi/AbstractInterruptibleChannel: Unsupportedclass file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable sun/nio/ch/DatagramChannelImpl: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable sun/nio/ch/ServerSocketChannelImpl: Unsupported class file version 52.0

5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable sun/nio/ch/SocketChannelImpl: Unsupported class file version 52.0

  5/19/16 12:05:27 PM SGT [ERROR] [IntroscopeAgent.Agent] A problem occurred while attempting to Introscope-enable java/nio/channels/Selector: Unsupported class file version 52.05

 

My BWAgent is using 'java.version=1.7.0_09' and BW engine is using '1.8.0' so My client is asking me to point my BWAgent to same java version to match the compatibility of java between agent and BW engine.

Thanks

Vaibhav

Outcomes